package org.kde.qt;


/** {@link QDataTable} emits these signals */
public interface QDataTableSignals {
	void primeInsert( QSqlRecord buf );
	void beforeDelete( QSqlRecord buf );
	void destroyed( QObject obj );
	void beforeUpdate( QSqlRecord buf );
	void cursorChanged( int mode );
	void contentsMoving( int x, int y );
	void pressed( int row, int col, int button, QPoint mousePos );
	void clicked( int row, int col, int button, QPoint mousePos );
	void contextMenuRequested( int row, int col, QPoint pos );
	void currentChanged( QSqlRecord record );
	void primeDelete( QSqlRecord buf );
	void primeUpdate( QSqlRecord buf );
	void beforeInsert( QSqlRecord buf );
	void valueChanged( int row, int col );
	void dropped( QDropEvent e );
	void doubleClicked( int row, int col, int button, QPoint mousePos );
	void selectionChanged();
}

